Bug 53337 - Apache not handling Includes
Apache not handling Includes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
www.epicureanfoodservice.com/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-06 17:14 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-18 13:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-06 17:14:21 EDT
Description of Problem:
I host a number of client web sites that use SSI #INCLUDE file. These had worked with RH 6.2 and 
Apache 1.3.14 in late August. They don't work after upgrading to RH 7.1 and Apache 1.3.19.
I tried removing 1.3.19 and even with 1.3.14 on 7.1 I still don't get Include files being included!
Do I need to uninstall 7.1??

Version-Release number of selected component (if applicable):
RH Linux 7.1
Apache 1.3.19

How Reproducible:
Write a short menu.txt file:
<A Href="index.html/">Home</A>
<A Href="/page1.html">Page 1</A>
<A Href="/page2.html">Page 2</A>
<A Href="/page3.html">Page 3</A>

In each of the above, set up to use an SSI Include to read the menu:
<HTML><HEAD>
<TITLE>Test Include Files</TITLE>
</HEAD>
<BODY>
<H2>Test for INCLUDE files</H2>
<CENTER>
<TABLE border=0>
<TR>
        <TD VALIGN=top WIDTH=200>
        <!--#INCLUDE VIRTUAL="menu.txt"-->
        </TD>
        <TD ALIGN=center>
        Put a while bunch of text here so that there's something in this table cell.
        </TD>
</TR>
</TABLE>

</CENTER>
</BODY>
</HTML>

Under RH 6.2 the files get included and the page looks right. Under RH 7.1 they don't.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Michael Schwendt 2001-09-18 07:37:30 EDT
Works fine here.

Have a look at the "Apache Tutorial: Introduction to Server Side Includes" (in
the apache-manual package, /var/www/html/manual/howto/ssi.html) and configure
your server appropriately. In particular, make sure you tell it which files to
parse for SSI. By default, *.shtml files get server-parsed.
Comment 2 Need Real Name 2001-09-18 13:54:10 EDT
Yes, it was user error. I discovered over the weekend there is now a separate section for '/' directory. If "Includes" option isn't there, it doesn't get 
used elsewhere, regardless of the settings for files, etc. It's working now on my systems too, Thanks.

Note You need to log in before you can comment on or make changes to this bug.